summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author pyllyukko <pyllyukko@maimed.org>2022-06-23 00:12:43 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-07-02 09:55:30 +0700
commitdaf2c0e21621d313d502f23ff82f8707087d4c3a (patch)
tree800a50b9a4b15d98d08553d5c1e614ce58b99660 /ham
parent48d7ea7cf42f0ac07666742bc94f0cbcb606ca55 (diff)
downloadslackbuilds-daf2c0e21621d313d502f23ff82f8707087d4c3a.tar.gz
slackbuilds-daf2c0e21621d313d502f23ff82f8707087d4c3a.tar.xz
ham/redsea: Added (RDS decoder)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/redsea/README6
-rw-r--r--ham/redsea/redsea.SlackBuild107
-rw-r--r--ham/redsea/redsea.info10
-rw-r--r--ham/redsea/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/ham/redsea/README b/ham/redsea/README
new file mode 100644
index 0000000000..8df7772943
--- /dev/null
+++ b/ham/redsea/README
@@ -0,0 +1,6 @@
+redsea is a lightweight command-line FM-RDS decoder for Linux/macOS.
+It supports a large subset of RDS features.
+
+Decoded RDS groups are printed to the terminal as line-delimited JSON
+objects or, optionally, undecoded hex blocks (-x). Please refer to the
+wiki for input data formats.
diff --git a/ham/redsea/redsea.SlackBuild b/ham/redsea/redsea.SlackBuild
new file mode 100644
index 0000000000..1f2767712d
--- /dev/null
+++ b/ham/redsea/redsea.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for redsea
+
+# Copyright 2019 pyllyukko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=redsea
+VERSION=${VERSION:-0.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES.md CONTRIBUTING.md LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ham/redsea/redsea.info b/ham/redsea/redsea.info
new file mode 100644
index 0000000000..a089b43bd9
--- /dev/null
+++ b/ham/redsea/redsea.info
@@ -0,0 +1,10 @@
+PRGNAM="redsea"
+VERSION="0.20"
+HOMEPAGE="https://github.com/windytan/redsea"
+DOWNLOAD="https://github.com/windytan/redsea/archive/v0.20/redsea-0.20.tar.gz"
+MD5SUM="8e3a8357a8b0e713d5c87ed4595b3936"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="liquid-dsp"
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko@maimed.org"
diff --git a/ham/redsea/slack-desc b/ham/redsea/slack-desc
new file mode 100644
index 0000000000..e7f6647016
--- /dev/null
+++ b/ham/redsea/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+redsea: redsea (RDS decoder)
+redsea:
+redsea: redsea is a lightweight command-line FM-RDS decoder for Linux/macOS.
+redsea: It supports a large subset of RDS features.
+redsea:
+redsea:
+redsea:
+redsea:
+redsea:
+redsea: Homepage: https://github.com/windytan/redsea
+redsea: